' Licensed Materials - Property of IBM
'
' Remote Execution & Access (RXA)
'
' (C) COPYRIGHT International Business Machines Corp. 2011
'
' All Rights Reserved
' US Government Users Restricted Rights - Use duplication or
' disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
'
'
' Get free volume space

const SUCCESS = 254
const BAD_ARG_COUNT = 1
const OBJ_NOT_FOUND = 5

Dim deviceId, objVolume

On Error Resume Next

Set args = WScript.Arguments

If args.count = 1 Then
    deviceId = args.Item(0)
else
    Wscript.Quit(BAD_ARG_COUNT)
End If

Set objWMIService = GetObject("winmgmts:" _
    & "{impersonationLevel=impersonate}!\\" _
    & ".\root\cimv2")

Set objVolumes = objWMIService.ExecQuery ("Select * from " _
   & "Win32_Volume")

For each objVolume in objVolumes
	If strComp(objVolume.DeviceID, deviceId, vbTextCompare) = 0 Then
		If IsNull(objVolume.FreeSpace) Then
			Wscript.Echo 0
		Else
			Wscript.Echo objVolume.FreeSpace/1024
		End If
		Wscript.Quit(SUCCESS)
	End If
Next

Wscript.Quit(OBJ_NOT_FOUND)
